> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List OVH regions available to a credential

> Return the OVH Cloud regions the supplied credential's project can deploy in. Only these regions are valid for cluster creation.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/ovh/regions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/ovh/regions:
    get:
      tags:
        - OVH Cluster API
      summary: List OVH regions available to a credential
      description: >-
        Return the OVH Cloud regions the supplied credential's project can
        deploy in. Only these regions are valid for cluster creation.
      operationId: list_ovh_regions_endpoint_api_v1_clusters_ovh_regions_get
      parameters:
        - in: query
          name: credential_id
          required: true
          schema:
            format: uuid
            title: Credential Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OvhRegionListResult'
          description: Regions retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Credential not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '502':
          description: Could not reach OVH to list regions
components:
  schemas:
    OvhRegionListResult:
      properties:
        regions:
          items:
            type: string
          title: Regions
          type: array
      required:
        - regions
      title: OvhRegionListResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````